summaryrefslogtreecommitdiffstats
path: root/system/freeswitch
diff options
context:
space:
mode:
Diffstat (limited to 'system/freeswitch')
-rw-r--r--system/freeswitch/README4
-rw-r--r--system/freeswitch/doinst.sh5
-rw-r--r--system/freeswitch/freeswitch.SlackBuild14
-rw-r--r--system/freeswitch/freeswitch.info4
-rw-r--r--system/freeswitch/rc.freeswitch5
5 files changed, 15 insertions, 17 deletions
diff --git a/system/freeswitch/README b/system/freeswitch/README
index caba05d95a..1dbb294763 100644
--- a/system/freeswitch/README
+++ b/system/freeswitch/README
@@ -8,8 +8,8 @@ can be developed using a wide range of free tools.
Unlike other SlackBuilds which have a /usr installation prefix, this
script will install FreeSWITCH to /opt/freeswitch instatead. This is done
to simplify the build process since FreeSWITCH attemps to install itself
-into many non-standard directories in the prefix directory. Therefore, it
-is installed as a self-contained and easily-removable location in /opt.
+into many non-standard directories in the prefix directory. Therefore,
+it is installed as a self-contained and easily-removable location in /opt.
This script also expects there to be a user and group called "freeswitch",
with uid and gid of 269 (see http://slackbuilds.org/uid_gid.txt):
diff --git a/system/freeswitch/doinst.sh b/system/freeswitch/doinst.sh
index e9bc581d41..cd4c119b55 100644
--- a/system/freeswitch/doinst.sh
+++ b/system/freeswitch/doinst.sh
@@ -25,7 +25,6 @@ preserve_perms() {
preserve_perms etc/rc.d/rc.freeswitch.new
config etc/logrotate.d/freeswitch.new
-for i in $(find opt/freeswitch/conf -type f -name '*.new'); do
- config $i
-done
+find opt/freeswitch/conf -type f -name '*.new' \
+ | while read new ; do config $new ; done
diff --git a/system/freeswitch/freeswitch.SlackBuild b/system/freeswitch/freeswitch.SlackBuild
index 4a1e6cb47a..753ed708ad 100644
--- a/system/freeswitch/freeswitch.SlackBuild
+++ b/system/freeswitch/freeswitch.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for FreeSWITCH
-# Copyright 2013, mario <mario@slackverse.org>
+# Copyright 2013, 2015 Mario Preksavec, Zagreb, HR
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -68,8 +68,6 @@ case "$PGSQL" in
*) PGSQL="--without-pgsql --disable-core-pgsql-support" ;;
esac
-set -e
-
# Bail if user or group isn't valid on your system
if ! grep ^freeswitch: /etc/passwd 2>&1 > /dev/null; then
@@ -96,6 +94,8 @@ EOF
exit
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -104,10 +104,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Prepare some things
./rebootstrap.sh
diff --git a/system/freeswitch/freeswitch.info b/system/freeswitch/freeswitch.info
index d873d67c94..f2be0c0b83 100644
--- a/system/freeswitch/freeswitch.info
+++ b/system/freeswitch/freeswitch.info
@@ -22,5 +22,5 @@ MD5SUM="64b60dffd99f4a7f9799bb2865945258 \
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="mario"
-EMAIL="mario@slackverse.org"
+MAINTAINER="Mario Preksavec"
+EMAIL="mario at slackware dot hr"
diff --git a/system/freeswitch/rc.freeswitch b/system/freeswitch/rc.freeswitch
index fd3925dff4..1e6c66d418 100644
--- a/system/freeswitch/rc.freeswitch
+++ b/system/freeswitch/rc.freeswitch
@@ -1,8 +1,7 @@
#!/bin/sh
#
-# Start/stop/restart FreeSWITCH for Slackware
-#
-# Copyright 2013, mario <mario@slackverse.org>
+# Start/stop/restart the FreeSWITCH daemon
+# Written by Mario Preksavec <mario@slackware.hr>
USER=freeswitch
GROUP=freeswitch